> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Vat

> Calculate VAT (Value Added Tax).



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/finance/vat
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/finance/vat:
    get:
      tags:
        - Finance Utilities
      summary: Calculate Vat
      description: Calculate VAT (Value Added Tax).
      operationId: calculate_vat_v1_finance_vat_get
      parameters:
        - name: amount
          in: query
          required: true
          schema:
            type: number
            exclusiveMinimum: 0
            description: Amount
            title: Amount
          description: Amount
        - name: vat_rate
          in: query
          required: false
          schema:
            type: number
            description: VAT rate percentage
            default: 20
            title: Vat Rate
          description: VAT rate percentage
        - name: inclusive
          in: query
          required: false
          schema:
            type: boolean
            description: Is amount VAT inclusive?
            default: false
            title: Inclusive
          description: Is amount VAT inclusive?
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````